Home | Tutorials | Wiki | Issues
Ask Your Question
0

Windows 7 64bit install problem

asked 2016-07-04 10:32:55 -0600

AdrianAtWirth gravatar image

When "..\configure" is run for the gazebo directory ie the 3rd time a build error occurs:

Missing: libqwt-dev. Required for plotting

I cannot see qwt in the install list has anyone any ideas?

Adrian

edit retag flag offensive close merge delete

3 Answers

Sort by ยป oldest newest most voted
0

answered 2016-07-05 09:42:45 -0600

XB32Z gravatar image

Hi, Which version of gazebo did you use ?

--

Try the fork: https://bitbucket.org/XB32Z/windows_g... I managed to compile gazebo 7.1 on Windows using Visual Studio Community 12 (2013) using this fork, but it really depends on so many things that I can't help you more than that.

Good luck

edit flag offensive delete link more

Comments

Thank you Pierre, I will try that.

AdrianAtWirth gravatar imageAdrianAtWirth ( 2016-07-05 09:54:55 -0600 )edit

Hi Pierre, I have used your fork and after running ..\configure several times the nmake instruction does not work, but an sln file has been created. I have opened this solution and built it in VS. It is missing altimeter.pb.h where might I find that?

AdrianAtWirth gravatar imageAdrianAtWirth ( 2016-07-05 10:46:36 -0600 )edit

Running the install project in MinSizeRel configuration seems to fix that.

AdrianAtWirth gravatar imageAdrianAtWirth ( 2016-07-05 11:03:27 -0600 )edit

Hi happy it works! Indeed I configured the thing to work with Visual Studio and not the command-lined nmake. About altimeter I remember having this error but not how to fix it. But in a general way, I remember that only Release worked. Good luck

XB32Z gravatar imageXB32Z ( 2016-07-06 01:00:14 -0600 )edit
0

answered 2017-10-12 17:17:02 -0600

peci1 gravatar image

The wiki with instructions is a bit outdated. It says it is for building gazebo 6.

I now successfully build gazebo8 branch with a few modifications.

The package you need is at: http://packages.osrfoundation.org/win...

Generally, it's useful to poke around http://packages.osrfoundation.org/win... and look there for the missing dependencies.

Also the Qt version is wrong in the instructions for gazebo8. I have Qt 5.7 in folder C:\Qt5\5.7\msvc2013_64 and then it works.

edit flag offensive delete link more
-1

answered 2016-07-05 03:16:42 -0600

AdrianAtWirth gravatar image

Second sentence is the critical one here: " It does not actually work yet." http://gazebosim.org/tutorials?tut=in...

edit flag offensive delete link more
Login/Signup to Answer

Question Tools

2 followers

Stats

Asked: 2016-07-04 10:31:03 -0600

Seen: 457 times

Last updated: Oct 12